//
//    CopyRight(c) ADE ade@pi.net
//    Author  C. Stoltenkamp
//
//    This piece of software is for commercial use shareware, for private use you may
//    use it for free.

//    This is een demonstration application for the THTMLTable and THTMLQuery component.
//
//    With this components you can build a application-server who dynamicly handles all
//    your tables with information displayed in your website.
//
//    Thereby you can you can use the component as the way your use TTable and TQuery.
//
//    This software is provided as-is, without any warranties etc.
//    The author shall not be claimed responsible for any problems caused by the use
//    of this software.



unit Demo1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, HtmlData, StdCtrls, Grids, DBGrids, FileCtrl, Buttons,
  OleCtrls, isp3, ExtCtrls;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    HT: THtmTextTable;
    HQ: THtmTextQuery;
    DataSource2: TDataSource;
    HTML1: THTML;
    Panel1: TPanel;
    Button1: TButton;
    Label1: TLabel;
    sbTable: TSpeedButton;
    Button2: TButton;
    Label2: TLabel;
    spQuery: TSpeedButton;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    HTPartNo: TFloatField;
    HTDescription: TStringField;
    HTOnHand: TFloatField;
    HTOnOrder: TFloatField;
    HTListPrice: TCurrencyField;
    EZoek: TEdit;
    btnWide: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure sbTableClick(Sender: TObject);
    procedure spQueryClick(Sender: TObject);
    procedure HTML1DoRequestDoc(Sender: TObject; const URL: WideString;
      const Element: HTMLElement; const DocInput: DocInput;
      var EnableDefault: WordBool);
    procedure EZoekChange(Sender: TObject);
    procedure btnWideClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  GlobalButton : integer;
implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
    //Write HtmlTable
    GlobalButton := 1;
    HT.WritePage;
    HTML1.RequestDoc(HT.HtmFileName);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
    //Write HtmlQuery
    GlobalButton := 2;
    HQ.WritePage;
    HTML1.RequestDoc(HQ.HtmFileName);
end;


procedure TForm1.FormShow(Sender: TObject);
begin
    //Open Query on show
    HT.Active := TRUE;
    HQ.Close;
    HQ.ParamByName('pDes').Value := '%';
    HQ.Active := TRUE;
end;

procedure TForm1.sbTableClick(Sender: TObject);
begin
    //Preview HtmlTable, this will active Netscape or IE (Microsoft)
    HT.Preview;
end;

procedure TForm1.spQueryClick(Sender: TObject);
begin
    //Preview HtmlQuery, this will active Netscape or IE (Microsoft)
  HQ.Preview;
end;

procedure TForm1.HTML1DoRequestDoc(Sender: TObject; const URL: WideString;
  const Element: HTMLElement; const DocInput: DocInput;
  var EnableDefault: WordBool);
begin
    //Force HTML component to show file
    if GlobalButton = 1 then
        Html1.DocInput.FileName := HT.HtmFileName
    else if GlobalButton = 2 then
        Html1.DocInput.FileName := HQ.HtmFileName;
end;

procedure TForm1.EZoekChange(Sender: TObject);
begin
    //Try to find something
    if EZoek.Text <> '' then
    begin
        HQ.Close;
        HQ.ParamByName('pDes').Value := EZoek.Text + '%';
        HQ.Open;
    end;
end;

procedure TForm1.btnWideClick(Sender: TObject);
begin
    //Show (or not) the Html component
    if Form1.Height = 560 then
    begin
        btnWide.Caption := '>>';
        Form1.Height := 280;
    end
    else
    begin
        btnWide.Caption := '<<';
        Form1.Height := 560;
    end;
end;

end.
